HVN(4)

NAME
hvn - Hyper-V networking interface

SYNOPSIS
hvn* at hyperv?

DESCRIPTION
The hvn driver provides support for a Network Virtual Service Client (NetVSC), a virtual networking interface that relays device requests to the Virtual Service Provider (VSP) in the management operating system via the VMBus.

NetVSC emulates an RNDIS 1.0 compliant device on top of a custom NVS protocol operating over the VMBus channel ring.

Individual networking interfaces can be renamed by issuing a Rename-VMNetworkAdapter PowerShell command in the management domain. In order to enable sending and receiving of IEEE 802.1q (VLAN) frames, the virtual port needs to be put into Trunk mode with the Set-VMNetworkAdapterVlan command.

SEE ALSO
autoconf(4), hyperv(4), intro(4)

HISTORY
The hvn driver first appeared in OpenBSD 6.1.

AUTHORS
The hvn driver was written by Mike Belopuhov <mikeb@openbsd.org> based on the FreeBSD driver by the Microsoft BSD Integration Services Team <bsdic@microsoft.com>.